/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/


#ifndef _CRDTYPEA_H__
#define _CRDTYPEA_H__

#include <e32base.h>
#include <in_sock.h>
#include <mdns/cdnsresourcedata.h>
#include <mdns/dnsconstants.h>

class CRdTypeA : public CDnsResourceData
    {
public:
	IMPORT_C ~CRdTypeA();
	IMPORT_C static CRdTypeA* NewL();
	
	IMPORT_C const TInetAddr& Address()const;
	IMPORT_C void SetAddr(const TInetAddr& aAddr );
	
	IMPORT_C TUint16 Size()const;
	
private:
    CRdTypeA();
    
private:
	TInetAddr iAddr;
    };

#endif //_CRDTYPEA_H__